summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorUniversebenzene2022-09-05 14:40:08 +0800
committerUniversebenzene2022-09-05 14:40:08 +0800
commit04cbf58a9e73e313c9d028531c50b89975ee2897 (patch)
tree3e23eb6a8a23cc07f4e2191276e6890daafc15cb
parent7e5ad5f5f581efc87f0d20569ae47390e73784f9 (diff)
downloadaur-python-healpy.tar.gz
Update for setuptools 62.1
-rw-r--r--PKGBUILD6
1 files changed, 3 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 387e12bdd7c..d4d634bf3d9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -20,7 +20,7 @@ source=("https://files.pythonhosted.org/packages/source/h/healpy/healpy-${pkgver
md5sums=('e5993b888192847eee9b622bb3b06f51')
get_pyver() {
- python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))'
+ python -c "import sys; print('$1'.join(map(str, sys.version_info[:2])))"
}
prepare() {
@@ -39,8 +39,8 @@ check() {
cd ${srcdir}/${_pyname}-${pkgver}
# skip tests that cost lots of time
- pytest "build/lib.linux-${CARCH}-$(get_pyver)" \
- --deselect=build/lib.linux-x86_64-3.10/healpy/test/test_pixelweights.py::test_pixelweights_local_datapath || warning "Tests failed"
+ pytest "build/lib.linux-${CARCH}-cpython-$(get_pyver)" \
+ --deselect=build/lib.linux-${CARCH}-cpython-$(get_pyver)/healpy/test/test_pixelweights.py::test_pixelweights_local_datapath || warning "Tests failed"
}
package() {